substitutions:
  devicename: "growbox"
  comment: "Grow Box Controller"

  # Growbox Nodes
  hostname_light: "${devicename}-light.${domain}"
  hostname_fan: "${devicename}-fan.${domain}"

  # Overrides
  fan_script: "fan_control_power"

packages:
  base:           !include packages/base.yaml
  esp32s3:        !include packages/esp32s3.yaml
  time:           !include packages/time_schedule.yaml
  mqtt:           !include packages/mqtt.yaml
  air_bme280:     !include packages/air_bme280.yaml
  air_scd40:      !include packages/air_scd40.yaml
  control_gp8403: !include packages/control_gp8403.yaml
  fan_settings:   !include packages/fan_settings.yaml
  fan_power:      !include packages/fan_power.yaml
  fan_scripts:    !include packages/fan_scripts.yaml
  light_power:    !include packages/light_power.yaml
  light_settings: !include packages/light_settings.yaml
  vpd:            !include packages/vpd.yaml
  vpd_mlx90614:   !include packages/vpd_mlx90614.yaml  
  water_ads1115:  !include packages/water_ads1115.yaml
  water_ec:       !include packages/water_ec.yaml
  water_ph:       !include packages/water_ph.yaml
  water_sts35:    !include packages/water_sts35.yaml
  dosing:         !include packages/dosing.yaml
  dosing_pca9685: !include packages/dosing_pca9685.yaml
  water_level:    !include packages/water_level.yaml
